PxHUD = LibStub("AceAddon-3.0"):NewAddon("PxHUD", "AceConsole-3.0", "AceEvent-3.0")

local L = LibStub("AceLocale-3.0"):GetLocale("PxHUD", false)

function PxHUD:OnInitialize()
	self.defaults = {
		profile = {
		}
	}
	self.db = LibStub("AceDB-3.0"):New("PxHUDDB", self.defaults)
	self.settings = self.db.profile

	LibStub("AceConfig-3.0"):RegisterOptionsTable("PxHUD", self:GetOptions(), {"pxhud", "px"})
end

function PxHUD:OnEnable()
end

function PxHUD:OnDisable()
end

function PxHUD:GetOptions()
	return {
		name = "PxHUD",
		handler = PxHUD,
		type = "group",
		args = {
			show = {
				type = 'execute',
				name = L["Show options window"],
				desc = L["Shows the PxHUD options window"],
				func = function()
				end,
			},
		},
	}
end
